# $Id: butter.spec 324 2005-12-12 06:18:50Z rpmbuild $

%define bbver 19c
%define BBHOME %([ $BBHOME ] && echo $BBHOME || echo "/opt/bb" )
%define BBUSER %([ $BBUSER ] && echo $BBUSER || echo "bb" )
%define BBWEB %([ $BBWEB ] && echo $BBWEB || echo "/bb" )
%define CGIBIN %([ $CGIBIN ] && echo $CGIBIN || echo "/var/www/cgi-bin" )
%define CGIBINURL %([ $CGIBINURL ] && echo $CGIBINURL || echo "/cgi-bin" )
%define WEBROOT %([ $WEBROOT ] && echo $WEBROOT || echo "/var/www/html" )
%define HTTPUSER %([ $HTTPUSER ] && echo $HTTPUSER || echo "apache" )
%define BUTTERHOME %([ $BUTTERHOME ] && echo $BUTTERHOME || echo "/opt/butter" )


Summary: BUTTER - A substitute for larrd
Name: bigbrother-butter
Version: 1.0.6
Release: %RErelease 3
Epoch: 0
License: ?
Group: System Environment/Daemons
URL: http://www.deadcat.net/
Source0: butter-1.0.6.tar.gz
Source1: butter.logrotate
Source2: larrd-graphs-1.4.tar.gz
Source3: FastGlob-1.3.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}
Requires: bash, grep, sed, gawk
Requires: coreutils, procps, findutils, iputils, sysstat, net-tools
Requires: bigbrother
BuildArch: noarch

%description
Butter is intended to be a tastier, healthier substitute for larrd.
Admittedly, you might not be able to make as many things with butter
as with larrd, but butter should be faster and easier to work with than
larrd.

%package server
Summary: BUTTER - A substitute for larrd server scripts
Group: System Environment/Daemons
Requires: bigbrother-server perl >= 5.6.0 rrdtool patch

%description server
Butter is intended to be a tastier, healthier substitute for larrd.
Admittedly, you might not be able to make as many things with butter
as with larrd, but butter should be faster and easier to work with than
larrd.

%prep
%setup -q -n butter-%{version}
%setup -q -n butter-%{version} -T -D -a 2
%setup -q -n butter-%{version} -T -D -a 3

%build
 
%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d \
             ${RPM_BUILD_ROOT}%{BBHOME}/ext \
             ${RPM_BUILD_ROOT}%{BUTTERHOME} \
             ${RPM_BUILD_ROOT}/usr/local \
             ${RPM_BUILD_ROOT}%{_localstatedir}/www/cgi-bin
%{__ln_s} %{BUTTERHOME} ${RPM_BUILD_ROOT}/usr/local/larrd
%{__ln_s} %{BUTTERHOME} ${RPM_BUILD_ROOT}%{BBHOME}/ext/larrd
%{__cp} -a bb-* bf* contrib/ larrd.pl lib/ ${RPM_BUILD_ROOT}%{BUTTERHOME}
%{__sed} -e 's:/usr/local/bin/perl:%{__perl}:' FastGlob-1.3/FastGlob.pm > FastGlob-1.3/FastGlob.pm.new
%{__install} -m 0644 FastGlob-1.3/FastGlob.pm.new ${RPM_BUILD_ROOT}%{BUTTERHOME}/lib/LARRD/FastGlob.pm

for FILE in bf-larrd.sh larrd.pl
do
  %{__sed} -e 's:/usr/local/bin/perl:%{__perl}:' \
           -e 's:/usr/local/bb/bb/LARRDOUT:$BBVAR/LARRDOUT:g' \
           -e 's:/usr/local/larrd:%{BUTTERHOME}:' \
           -e 's:apache vmstat netstat:vmstat netstat:' \
    $FILE > ${RPM_BUILD_ROOT}%{BUTTERHOME}/$FILE
  touch -r $FILE ${RPM_BUILD_ROOT}%{BUTTERHOME}/$FILE
  %{__chmod} 0755 ${RPM_BUILD_ROOT}%{BUTTERHOME}/$FILE
done

#%{__cp} -p larrd-grapher.cgi ${RPM_BUILD_ROOT}%{_localstatedir}/www/cgi-bin
#%{__cp} -p monlaa.cgi ${RPM_BUILD_ROOT}%{_localstatedir}/www/cgi-bin
for FILE in larrd-grapher.cgi monlaa.cgi
do
  %{__sed} 's:/usr/local/bin/perl:%{__perl}:' \
    $FILE > ${RPM_BUILD_ROOT}%{_localstatedir}/www/cgi-bin/$FILE
  touch -r $FILE ${RPM_BUILD_ROOT}%{_localstatedir}/www/cgi-bin/$FILE
  %{__chmod} 0755 ${RPM_BUILD_ROOT}%{_localstatedir}/www/cgi-bin/$FILE
done
%{__sed} -e 's:/usr/local/bin/perl:%{__perl}:' \
         -e 's:/usr/local/bb/larrd:%{LARRDHOME}:' \
         -e 's:#my $has_disk_part = 0:my $has_disk_part = 0:' \
         -e 's:my $has_disk_part = 1:#my $has_disk_part = 1:' \
         -e 's:require "larrd-config.pl":#require "larrd-config.pl":' \
         -e 's|#use LARRD::config|use LARRD::config|' \
         -e 's:/usr/local/bb/bb:%{BBHOME}:' larrd-graphs-1.4/larrd-graphs.cgi \
  > ${RPM_BUILD_ROOT}%{_localstatedir}/www/cgi-bin/larrd-graphs.cgi
touch -r larrd-graphs-1.4/larrd-graphs.cgi \
  ${RPM_BUILD_ROOT}%{_localstatedir}/www/cgi-bin/larrd-graphs.cgi
%{__cp} -p larrd-graphs-1.4/bb-rep.html.patch .

%{__sed} -e 's:/usr/home/bb:/opt:g' \
         -e 's:/opt/bbvar:%{_localstatedir}/opt/bbvar:g' \
         -e "s?ENV{'BBWEB'} : '/bb'?ENV{'BBWEB'} : '%{BBWEB}'?" \
         -e "s?ENV{'CGIBINURL'} : '/cgi-bin/bb'?ENV{'CGIBINURL'} : '%{CGIBINURL}'?" \
         -e 's:/usr/local/rrdtool:/usr:' \
         -e 's:/var/www/cgi-bin/bb/bb-hostsvc.sh:/var/www/cgi-bin/bb-hostsvc.sh:g' \
         -e 's:}="AUTO":}="DATA":' \
  lib/LARRD/config.pm > ${RPM_BUILD_ROOT}%{BUTTERHOME}/lib/LARRD/config.pm
touch -r lib/LARRD/config.pm ${RPM_BUILD_ROOT}%{BUTTERHOME}/lib/LARRD/config.pm

%{__sed} 's:&BBOUT:%{_localstatedir}/opt/bbvar/LARRDOUT:' %{SOURCE1} \
  > ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/bigbrother-butter

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
 
%post server
cd %{BBHOME}/www/help/
#%{__cp} -p bb-rep.html.DIST bb-rep.html.DIST-orig
%{__patch} bb-rep.html /usr/share/doc/%{name}-%{version}/bb-rep.html.patch
 
%preun server
cd %{BBHOME}/www/help/
#%{__patch} -R < /usr/share/doc/%{name}-%{version}/bb-rep.html.patch
%{__patch} -R bb-rep.html /usr/share/doc/%{name}-%{version}/bb-rep.html.patch

%files
%defattr(-,root,root)
%doc CHANGES CREDITS INSTALL.clients README TODO
%attr(0644,root,root) %{_sysconfdir}/logrotate.d/bigbrother-butter
%{BBHOME}/ext/larrd
%{BUTTERHOME}/bf*
/usr/local

%files server
%defattr(-,root,root)
%doc INSTALL bb-rep.html.patch
%{BUTTERHOME}/bb-*
%{BUTTERHOME}/contrib*
%{BUTTERHOME}/larrd.pl
%{BUTTERHOME}/lib
%{CGIBIN}

%changelog
* Sun Dec 11 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.0.6-3
- Rebuilt in new build system.

* Sun Jun 26 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.0.6-2
- Changed Group for larrd-server.

* Tue Apr 27 2004 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.0.6-1
- First package.

